org.apache.fop.util.text

## Interface AdvancedMessageFormat.PartFactory

- All Known Implementing Classes:
    ChoiceFieldPart.Factory, EqualsFieldPart.Factory, EventFormatter.LookupFieldPartFactory, GlyphNameFieldPart.Factory, HexFieldPart.Factory, IfFieldPart.Factory
  Enclosing class:
    AdvancedMessageFormat

      public static interface AdvancedMessageFormat.PartFactory

  Implementations of this interface parse a field part and return message parts.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFormat()` Returns the name of the message part format.
    `AdvancedMessageFormat.Part` | `newPart(java.lang.String fieldName, java.lang.String values)` Creates a new part by parsing the values parameter to configure the part.

- - ### Method Detail

    - #### newPart

          AdvancedMessageFormat.Part newPart(java.lang.String fieldName,
                                             java.lang.String values)

      Creates a new part by parsing the values parameter to configure the part.
      Parameters:
        `fieldName` - the field name
        `values` - the unparsed parameter values
      Returns:
        the new message part

    - #### getFormat

          java.lang.String getFormat()

      Returns the name of the message part format.
      Returns:
        the name of the message part format

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.